import { IConfigValues } from './interfaces/IConfig';
/**
 * Config class
 */
export declare class Config {
    private providers;
    private localProvider;
    private assignProvider;
    private assignLocals;
    constructor();
    getConfig(provider: string, redirect_uri?: string): IConfigValues;
}
/**
 * @param provider {string} oauth provider name e.g. facebook or google
 */
export declare function config(options: {
    provider: string;
    host?: string;
    stage?: string;
}): IConfigValues;
