import { IConfigValues, IProviderCallbackEvent, IProviderOptions, IProviderCallbackOptions, IProviderCallbackAdditionalParams } from './interfaces';
import { Provideable } from './abstract/Providable';
/**
 * Default provider
 */
export declare class Provider extends Provideable {
    private config;
    constructor(config: IConfigValues);
    signin(config: IProviderOptions): {
        url: string;
    };
    callback(event: IProviderCallbackEvent, options: IProviderCallbackOptions, additionalParams: IProviderCallbackAdditionalParams): Promise<any>;
}
